### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Class MetadataSourceConfiguration

java.lang.Object
com.sas.services.ServiceConfiguration
com.sas.services.deployment.MetadataSourceConfiguration

All Implemented Interfaces:
  `MetadataSourceConfigurationInterface`, `ServiceConfigurationInterface`, `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class MetadataSourceConfiguration extends ServiceConfiguration implements MetadataSourceConfigurationInterface
Metadata source configuration.

Since:
  1.0
See Also:
  - `MetadataSourceInterface`
  - Serialized Form

- ## Field Summary

  ### Fields inherited from interface com.sas.services.ServiceConfigurationInterface

  `CONFIGURATION_METADATA_SOURCE, CONFIGURATION_SERVICE_DISCOVERY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetadataSourceConfiguration(MetadataSourceInterface metadataSource)`
  Constructs an instance using the specified metadata source.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final MetadataSourceInterface`
  `getMetadataSource()`
  Gets the metadata source.
  `final void`
  `setMetadataSource(MetadataSourceInterface metadataSource)`
  Sets the metadata source.

  ### Methods inherited from class com.sas.services.ServiceConfiguration

  `addServiceConfiguration, getEnvironment, getInitializationObject, getServiceConfiguration, getServiceConfigurations, removeServiceConfiguration, setEnvironment, setInitializationObject`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MetadataSourceConfiguration

    public MetadataSourceConfiguration(MetadataSourceInterface metadataSource) throws InitializationException
    Constructs an instance using the specified metadata source.
    Parameters:
      `metadataSource` - Metadata source.
    Throws:
      `InitializationException` - if an invalid metadata source is specified.

- ## Method Details

  - ### getMetadataSource

    public final MetadataSourceInterface getMetadataSource()
    Gets the metadata source.
    Specified by:
      `getMetadataSource` in interface `MetadataSourceConfigurationInterface`
    Returns:
      Metadata source or `null` if a source is not defined.
    See Also:
      - `MetadataSourceConfigurationInterface.getMetadataSource()`

  - ### setMetadataSource

    public final void setMetadataSource(MetadataSourceInterface metadataSource) throws InitializationException
    Sets the metadata source.
    Parameters:
      `metadataSource` - Metadata source.
    Throws:
      `InitializationException` - if unable to set the source.